Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Possible Duplicate:
Launchpad failed to build after “quickly submitubuntu”

Hello I submitted my source package to ppa via command

quickly submitubuntu 1.1 myppa

This successfully submit my application to my ppa, but buildserver always giving errors, Here is the buildlog link

Can anyone help me in that?

I also tried with localbuild with command,

quickly package --extras

It is building .deb file successfully.

share|improve this question

marked as duplicate by Florian Diesch, Ringtail, ajmitch, hbdgaf, andrewsomething Aug 18 '12 at 1:14

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

2 Answers 2

up vote 3 down vote accepted

OK, let's troubleshoot your problem and give you a mini-tutorial along the way.

I have Pastebin'd the build-log here to get line numbers for reference.

  1. The build aborts with this error at line 613:

    /bin/sh: 1: glib-compile-schemas: not found
    make[1]: *** [override_dh_install] Error 127
    
  2. OK, so it's missing the binary called glib-compile-schemas. To find out which package supplies this, we can use the apt-file utility (install first):

    izx@ppauvm:~$ apt-file find glib-compile-schemas
    libglib2.0-0: /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
    libglib2.0-bin: /usr/bin/glib-compile-schemas
    
  3. This tells us that for your build architecture, i386 (32-bit), the binary /usr/bin/glib-compile-schemas is provided by the package libglib2.0-bin.

  4. Searching the build log for libglib shows that libglib2.0-0 is installed, but apparently libglib2.0-bin is not:

    The following packages will be upgraded:
    apt apt-transport-https libapt-pkg4.12 libgcrypt11 libglib2.0-0
    
  5. So to hopefully solve this problem, make libglib2.0-bin an explicit build dependency in the debian/control file, and re-upload your package to Launchpad. It builds on your local system because you certainly have that package installed :)

share|improve this answer
    
How to add build dependencies with quickly? –  gau1991 Jul 5 '12 at 16:15
1  
@gau1991, I would start a new question about that -- it will get much more attention. –  izx Jul 5 '12 at 16:19
1  
see this post and the accepted answer for a more detailed work around for the glib fail bug. –  Jobi Carter Jul 6 '12 at 2:13

Looks like you need to add libglib2.0-bin as a build dependency as that contains the missing glib-compile-schemas.

share|improve this answer
    
But I am using quickly, I tried manual adding build-dependency but quickly replaces it. Can you show me, hot to add it with quickly? –  gau1991 Jul 5 '12 at 16:07

Not the answer you're looking for? Browse other questions tagged or ask your own question.